package com.joe.print.mvp.model.bean;

import java.util.List;
import java.util.Map;

public class PrjBean {

    /**
     * success : true
     * sysTime : 1589177793623
     * data : {"-1":[{"id":1,"printerDeviceId":-1,"status":1,"tableName":"51536","orderNo":"gs201351936242891","orderTime":2020,"person":2,"orderDetailsTime":"May 7, 2020 6:47:16 PM","orderDetailsId":48827589,"productName":"炸鸡翅","parentId":0,"type":3},{"id":2,"printerDeviceId":-1,"status":1,"tableName":"51536","orderNo":"gs201351936242891","orderTime":2020,"person":2,"orderDetailsTime":"May 7, 2020 6:47:16 PM","orderDetailsId":48827590,"productName":"鮮茄汁藍青口","parentId":0,"type":3}],"k1":[{"id":77,"printerDeviceId":1,"status":1,"tableName":"51536","orderNo":"gs201351936242891","orderTime":2020,"person":2,"orderDetailsTime":"May 11, 2020 11:41:41 AM","orderDetailsId":48828004,"productName":"走青檸測試","parentId":48827589,"type":4},{"id":78,"printerDeviceId":1,"status":1,"tableName":"51536","orderNo":"gs201351936242891","orderTime":2020,"person":2,"orderDetailsTime":"May 11, 2020 11:41:41 AM","orderDetailsId":48828005,"productName":"走豆測試","parentId":48827590,"type":4},{"id":79,"printerDeviceId":1,"status":1,"tableName":"51536","orderNo":"gs201351936242891","orderTime":2020,"person":2,"orderDetailsTime":"May 11, 2020 11:41:41 AM","orderDetailsId":48828006,"productName":"精選牛肉","parentId":0,"type":3},{"id":80,"printerDeviceId":1,"status":1,"tableName":"51536","orderNo":"gs201351936242891","orderTime":2020,"person":2,"orderDetailsTime":"May 11, 2020 11:41:41 AM","orderDetailsId":48828007,"productName":"走豆測試","parentId":48828006,"type":4},{"id":81,"printerDeviceId":1,"status":1,"tableName":"51536","orderNo":"gs201351936242891","orderTime":2020,"person":2,"orderDetailsTime":"May 11, 2020 11:41:41 AM","orderDetailsId":48828008,"productName":"雞飯(四客)","parentId":48828006,"type":3},{"id":82,"printerDeviceId":1,"status":1,"tableName":"51536","orderNo":"gs201351936242891","orderTime":2020,"person":2,"orderDetailsTime":"May 11, 2020 11:41:41 AM","orderDetailsId":48828009,"productName":"精選牛肉","parentId":48828006,"type":3}]}
     */
    private boolean success;
    private long sysTime;
    private String data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    public static class DataBean {
        public Map<String, List<Bean>> prjMap;

        public static class Bean {
            /**
             * id : 77
             * printerDeviceId : 1
             * status : 1
             * tableName : 51536
             * orderNo : gs201351936242891
             * orderTime : 2020
             * person : 2
             * orderDetailsTime : May 11, 2020 11:41:41 AM
             * orderDetailsId : 48828004
             * productName : 走青檸測試
             * parentId : 48827589
             * type : 4
             */
            private int id;
            private int printerDeviceId;
            private int status;
            private String tableName;
            private String orderNo;
            private int orderTime;
            private int person;
            private String orderDetailsTime;
            private int orderDetailsId;
            private String productName;
            private int parentId;
            private int type;
            private int printerType;
            private Long printerTime;
            private String number;
            private String productId;
            private Long createTime;
            /***
             * 層級
             * 1:主食品
             * 2:子項or細項
             * 3:細項
             */
            private int itemType;

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public int getPrinterDeviceId() {
                return printerDeviceId;
            }

            public void setPrinterDeviceId(int printerDeviceId) {
                this.printerDeviceId = printerDeviceId;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }

            public String getTableName() {
                return tableName;
            }

            public void setTableName(String tableName) {
                this.tableName = tableName;
            }

            public String getOrderNo() {
                return orderNo;
            }

            public void setOrderNo(String orderNo) {
                this.orderNo = orderNo;
            }

            public int getOrderTime() {
                return orderTime;
            }

            public void setOrderTime(int orderTime) {
                this.orderTime = orderTime;
            }

            public int getPerson() {
                return person;
            }

            public void setPerson(int person) {
                this.person = person;
            }

            public String getOrderDetailsTime() {
                return orderDetailsTime;
            }

            public void setOrderDetailsTime(String orderDetailsTime) {
                this.orderDetailsTime = orderDetailsTime;
            }

            public int getOrderDetailsId() {
                return orderDetailsId;
            }

            public void setOrderDetailsId(int orderDetailsId) {
                this.orderDetailsId = orderDetailsId;
            }

            public String getProductName() {
                return productName;
            }

            public void setProductName(String productName) {
                this.productName = productName;
            }

            public int getParentId() {
                return parentId;
            }

            public void setParentId(int parentId) {
                this.parentId = parentId;
            }

            public int getType() {
                return type;
            }

            public void setType(int type) {
                this.type = type;
            }

            public int getItemType() {
                return itemType;
            }

            public void setItemType(int itemType) {
                this.itemType = itemType;
            }

            public int getPrinterType() {
                return printerType;
            }

            public void setPrinterType(int printerType) {
                this.printerType = printerType;
            }

            public Long getPrinterTime() {
                return printerTime;
            }

            public void setPrinterTime(Long printerTime) {
                this.printerTime = printerTime;
            }

            public String getNumber() {
                return number;
            }

            public void setNumber(String number) {
                this.number = number;
            }

            public String getProductId() {
                return productId;
            }

            public void setProductId(String productId) {
                this.productId = productId;
            }

            public Long getCreateTime() {
                return createTime;
            }

            public void setCreateTime(Long createTime) {
                this.createTime = createTime;
            }
        }

        public Map<String, List<Bean>> getPrjMap() {
            return prjMap;
        }

        public void setPrjMap(Map<String, List<Bean>> prjMap) {
            this.prjMap = prjMap;
        }


    }
}
